Subject: bug#7771: 23.1; can't turn off font-lock-mode globally

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Jan 2011 22:39:30 +0200

> Date: Mon, 03 Jan 2011 12:29:13 -0800
> From: "K. Richard Pixley" <[email-masked]>
> CC: [email-masked]
> 
> On 20110103 11:52, Eli Zaretskii wrote:
> >> From: "K. Richard Pixley"<[email-masked]>
> >> Date: Mon, 03 Jan 2011 10:40:19 -0800
> >>
> >> I believe that the fix needs to occur at a meta level to font lock.
> > What do you mean by "meta level to font lock"?
> I mean that the mechanism for allowing or barring font lock apparently 
> can't be part of the font lock subsystem.  It appears as though it will 
> need to be outside the font-lock system in order to _gate_ the font lock 
> system.

That's what Lennart was proposing, AFAIU.

Btw, do you dislike _all_ colored text in Emacs, or only font-lock?
There are faces Emacs uses that are not related to font-lock at all,
like the "buttons" in *Help* buffers, the minibuffer prompts, the
special face for the part of file-name you type in the minibuffer that
will be ignored because it is before the "//", etc.  Then there are
colors not related to text, e.g. the fringes.  Do you want a feature
to turn all of those off, or just the font-lock faces?

> It appears as though people may be erroneously conflating font-lock 
> modes with syntactic meaning of the underlying text and keying off 
> font-lock values rather than the syntactic meanings.  This leads to the 
> erroneous programmer impression that font-lock is a necessary 
> prerequisite for their code, so they force it on.

You are entitled to your opinions, but to me syntax-sensitive colors
are an important feature because they show me my mistakes before they
hit the compiler.